Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class NameResource

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.SynchronizationResource
                  |
                  +--com.ibm.cics.server.NameResource

public class NameResource
extends SynchronizationResource
implements java.io.Serializable

This class provides an implementation of a Named Synchronization Resource.

It has the equivalent functionality to the CICS ENQ/DEQ functions when using the LENGTH option.

Constructor Summary
`NameResource()`

Method Summary
`void` | `dequeue()` Not Implemented.
`void` | `enqueue()` Not Implemented.
`java.lang.String` | `getName()` Return the name of this Synchronization Resource.
`void` | `setName(java.lang.String newName)` Set the name of this Synchronization Resource.
`void` | `tryEnqueue()` Not Implemented.

Methods inherited from class com.ibm.cics.server.SynchronizationResource
`getDescription, setDescrption`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameResource

    public NameResource()

Method Detail

### getName

    public java.lang.String getName()

  Return the name of this Synchronization Resource.
  Returns:
    the Synchronization Resource name.

### setName

    public void setName(java.lang.String newName)

  Set the name of this Synchronization Resource.
  Parameters:
    `newName` - the new Synchronization Resource name.

### dequeue

    public void dequeue()
                 throws LengthErrorException

  This method is not implemented in this release.

### enqueue

    public void enqueue()
                 throws ResourceUnavailableException,
                        LengthErrorException

  This method is not implemented in this release.

### tryEnqueue

    public void tryEnqueue()
                    throws ResourceUnavailableException,
                           LengthErrorException

  This method is not implemented in this release.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.